Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-10-2017 12:07:10

fowl
Membre
Distrib. : Stretch
Noyau : 4.9.0-4-amd64
(G)UI : MATE
Inscription : 28-02-2012

Démarrage aléatoire de MATE après mise à jour vers Stretch.

Bonjour,

Je viens de faire la mise à jour de Debian jessie à Stretch. J'ai fait la mise à jour avec apt-get dist-upgrade et cela s'est fait sans encombre.

Toutefois, en redémarrant je me rends compte que MATE a tendance à ne pas démarrer correctement. Parfois, MATE se charge correctement, tantôt uniquement le desktop apparaît. En allant sur tty, si j'essaie de faire "startx", un message d'erreur suivant apparaît dans une boite de dialogue impossible à fermer: "could not acquire name on session bus". Et là, je dois changer de tty et redémarrer dans l'espoir que cette fois-ci, tout fonctionne.

Le plus étrange est que ce problème n'apparaît pas systématiquement.

Voici le contenu de Xorg.log

 [     5.724]
X.Org X Server 1.19.2
Release Date: 2017-03-02
[     5.724] X Protocol Version 11, Revision 0
[     5.724] Build Operating System: Linux 4.9.0-3-amd64 x86_64 Debian
[     5.724] Current Operating System: Linux debianpc 4.9.0-4-amd64 #1 SMP Debi$
[     5.724] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.9.0-4-amd64 root=U$
[     5.724] Build Date: 07 July 2017  06:14:06AM
[     5.724] xorg-server 2:1.19.2-1+deb9u1 (https://www.debian.org/support)
[     5.724] Current version of pixman: 0.34.0
[     5.724]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[     5.724] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[     5.724] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Oct 17 18:49:34 20$
[     5.726] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[     5.727] (==) No Layout section.  Using the first Screen section.
[     5.727] (==) No screen section available. Using defaults.
[     5.727] (**) |-->Screen "Default Screen Section" (0)
[     5.727] (**) |   |-->Monitor "<default monitor>"
[     5.728] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[     5.728] (==) Automatically adding devices
[     5.728] (==) Automatically enabling devices
[     5.728] (==) Automatically adding GPU devices
[     5.728] (==) Max clients allowed: 256, resource mask: 0x1fffff
[     5.729] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[     5.729]    Entry deleted from font path.
[     5.732] (==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/100dpi/:unscaled,
        /usr/share/fonts/X11/75dpi/:unscaled,
        /usr/share/fonts/X11/Type1,
        /usr/share/fonts/X11/100dpi,
        /usr/share/fonts/X11/75dpi,
        built-ins
[     5.732] (==) ModulePath set to "/usr/lib/xorg/modules"
[     5.732] (II) The server relies on udev to provide the list of input device$
        If no devices become available, reconfigure udev or disable AutoAddDevi$
[     5.732] (II) Loader magic: 0x5579b1072e00
[     5.732] (II) Module ABI versions:
[     5.732]    X.Org ANSI C Emulation: 0.4
[     5.732]    X.Org Video Driver: 23.0
[     5.732]    X.Org XInput driver : 24.1
[     5.732]    X.Org Server Extension : 10.0
[     5.733] (++) using VT number 7

[     5.733] (II) systemd-logind: logind integration requires -keeptty and -kee$
[     5.734] (II) xfree86: Adding drm device (/dev/dri/card0)
[     5.747] (--) PCI:*(0:0:2:0) 8086:2e22:1019:2675 rev 3, Mem @ 0xfe400000/41$
[     5.747] (--) PCI: (0:0:2:1) 8086:2e23:1019:2675 rev 3, Mem @ 0xfe900000/10$
[     5.747] (II) LoadModule: "glx"
[     5.748] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[     5.758] (II) Module glx: vendor="X.Org Foundation"
[     5.758]    compiled for 1.19.2, module version = 1.0.0
[     5.758]    ABI class: X.Org Server Extension, version 10.0
[     5.758] (==) Matched modesetting as autoconfigured driver 0
[     5.758] (==) Matched fbdev as autoconfigured driver 1
[     5.758] (==) Matched vesa as autoconfigured driver 2
[     5.758] (==) Assigned the driver to the xf86ConfigLayout
[     5.758] (II) LoadModule: "modesetting"
[     5.758] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[     5.760] (II) Module modesetting: vendor="X.Org Foundation"
[     5.760]    compiled for 1.19.2, module version = 1.19.2
[     5.760]    Module class: X.Org Video Driver
[     5.760]    ABI class: X.Org Video Driver, version 23.0
[     5.760] (II) LoadModule: "fbdev"
[     5.760] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[     5.761] (II) Module fbdev: vendor="X.Org Foundation"
 



Je ne sais pas si c'est lié, mais j'ai de nombreux paquets qui sont apparemment obsolètes mais j'hésite à les supprimer car j'ai peur de destabiliser davantage mon système:

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  docutils-common docutils-doc espeak-data firebird2.5-common
  firebird2.5-common-doc firebird2.5-server-common firebird3.0-common
  firebird3.0-common-doc g++-4.9 geoclue-2.0 gir1.2-gtk-2.0
  gstreamer0.10-gconf gstreamer0.10-x hdparm iceweasel-l10n-fr
  iio-sensor-proxy imagemagick-common libaacplus2 libalgorithm-c3-perl
  libamd2.3.1 libarchive-extract-perl libasprintf0c2 libavcodec56
  libavformat56 libavresample2 libavutil54 libb-hooks-endofscope-perl
  libbasicusageenvironment0 libbind9-90 libbit-vector-perl
  libboost-system1.55.0 libboost-thread1.55.0 libcamd2.3.1 libcamel-1.2-49
  libcarp-clan-perl libccolamd2.8.0 libcholmod2.1.2 libchromaprint0
  libclass-c3-perl libclass-c3-xs-perl libclass-xsaccessor-perl libcolamd2.8.0
  libcpan-changes-perl libcpan-meta-perl libdata-optlist-perl
  libdata-perl-perl libdata-section-perl libdate-calc-perl
  libdate-calc-xs-perl libdbus-1-dev libdevel-caller-perl
  libdevel-globaldestruction-perl libdevel-lexalias-perl
  libdevmapper-event1.02.1 libdns100 libdvbpsi9 libebackend-1.2-7
  libecal-1.2-16 libechonest2.1 libedataserver-1.2-18 libegl1-mesa-drivers
  libelfg0 libenca0 libept1.4.12 libespeak1 libexporter-tiny-perl libfaac0
  libfbclient2 libfbembed2.5 libfile-slurp-perl libfreerdp-cache1.1
  libfreerdp-client1.1 libfreerdp-codec1.1 libfreerdp-common1.1.0
  libfreerdp-core1.1 libfreerdp-crypto1.1 libfreerdp-gdi1.1
  libfreerdp-locale1.1 libfreerdp-primitives1.1 libfreerdp-utils1.1
  libgdome2-0 libgdome2-cpp-smart0v5 libgegl-0.2-0 libgeoclue-2-0
  libgetopt-long-descriptive-perl libgif4 libglew1.10 libgnome2-0
  libgphoto2-port10 libgroupsock4 libgtkmathview0c2a libgtksourceview2.0-0
  libgtksourceview2.0-common libgtop2-7 libhunspell-1.3-0 libical1a
  libilmbase6 libimobiledevice4 libimport-into-perl libinput5 libintl-perl
  libintl-xs-perl libio-stringy-perl libisc95 libisccc90 libisccfg90
  libjavascriptcoregtk-3.0-0 libjim0.75 libjsoncpp0 liblink-grammar4
  liblircclient0 liblist-moreutils-perl liblivemedia42 libllvm3.5
  liblog-message-perl liblog-message-simple-perl liblouis2 liblvm2app2.2
  liblwres90 libminizip1 libmodule-build-perl libmodule-implementation-perl
  libmodule-load-conditional-perl libmodule-pluggable-perl
  libmodule-runtime-perl libmodule-signature-perl libmoo-perl
  libmoox-handlesvia-perl libmro-compat-perl libmysqlclient18
  libnamespace-autoclean-perl libnamespace-clean-perl libnl-route-3-200
  libnm-glib-vpn1 libnm-glib4 libnm-gtk-common libnm-gtk0 libnm-util2 libntdb1
  libopenexr6 libopenjpeg5 libopenraw1 libopenvg1-mesa liborcus-0.8-0
  libpackage-constants-perl libpackage-stash-perl libpackage-stash-xs-perl
  libpadwalker-perl libparams-classify-perl libparams-util-perl
  libparams-validate-perl libpath-tiny-perl libperl4-corelibs-perl libplist2
  libpod-latex-perl libpod-markdown-perl libpod-readme-perl libpoppler46
  libpostproc53 libprotobuf9 libpth20 libqca2 libqca2-plugins libqmi-glib1
  libqpdf13 libqt4-script libre2-3 libregexp-common-perl libreoffice-gtk
  libreoffice-sdbc-firebird librole-tiny-perl libsctp1
  libsoftware-license-perl libstdc++-4.9-dev libstrictures-perl
  libsub-exporter-perl libsub-exporter-progressive-perl libsub-identify-perl
  libsub-install-perl libswresample1 libswscale3 libterm-ui-perl
  libtext-soundex-perl libtext-template-perl libtidy-0.99-0 libtommath1
  libtry-tiny-perl libtype-tiny-perl libtype-tiny-xs-perl libumfpack5.6.2
  libunicode-utf8-perl libusageenvironment2 libusbmuxd2 libutvideo15
  libuuid-perl libvariable-magic-perl libvncclient0 libvte-2.90-9
  libvte-2.90-common libvte-common libvte9 libwebkitgtk-3.0-0 libwebpmux1
  libwebrtc-audio-processing-0 libwinpr-crt0.1 libwinpr-crypto0.1
  libwinpr-dsparse0.1 libwinpr-environment0.1 libwinpr-file0.1
  libwinpr-handle0.1 libwinpr-heap0.1 libwinpr-input0.1
  libwinpr-interlocked0.1 libwinpr-library0.1 libwinpr-path0.1
  libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1 libwinpr-sspi0.1
  libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1 libwinpr-utils0.1
  libwps-0.3-3 libx264-142 libx264-146 libx265-51 libxapian22
  libxcb-composite0 lksctp-tools mplayer2 python-dbus python-dbus-dev
  python-defusedxml python-docutils python-gobject python-gst0.10
  python-imaging python-libxml2 python-notify python-pexpect python-pil
  python-ptyprocess python-pygments python-renderpm python-reportlab
  python-reportlab-accel python-roman python-soappy python-wstools
  python3-jinja2 python3-markupsafe ttf-dejavu-core udisks vlc-nox
  vlc-plugin-pulse
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants ont été conservés :
  chromium
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.

Dernière modification par fowl (17-10-2017 15:58:56)

Hors ligne

#2 17-10-2017 12:20:01

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

Je ne peux pas te répondre là-dessus par contre comme j'envisage de passer à stretch je voulais savoir si tu avais juste remplacé jessie par stretch dans le sources.list et dist-upgrade. J'espère ne pas pourrir ton post smile

"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#3 17-10-2017 13:01:51

fowl
Membre
Distrib. : Stretch
Noyau : 4.9.0-4-amd64
(G)UI : MATE
Inscription : 28-02-2012

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

C'est effectivement ce que j'ai fait.

En cherchant sur le net, le seul cas similaire que j'ai trouvé est celui-ci https://github.com/TurboVNC/turbovnc/issues/86

Mais pour commencer, je n'ai pas de  ~/.vnc/ cela ne m'aide pas beaucoup...

Dernière modification par fowl (17-10-2017 15:43:09)

Hors ligne

#4 17-10-2017 15:45:43

fowl
Membre
Distrib. : Stretch
Noyau : 4.9.0-4-amd64
(G)UI : MATE
Inscription : 28-02-2012

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

Voici l'état des services dans ma session actuelle.

  $ systemctl list-unit-files --state enabled
UNIT FILE                                  STATE  
acpid.path                                 enabled
cups.path                                  enabled
accounts-daemon.service                    enabled
anacron.service                            enabled
atd.service                                enabled
autovt@.service                            enabled
avahi-daemon.service                       enabled
console-setup.service                      enabled
cron.service                               enabled
cups-browsed.service                       enabled
cups.service                               enabled
dbus-org.freedesktop.Avahi.service         enabled
dbus-org.freedesktop.ModemManager1.service enabled
dbus-org.freedesktop.nm-dispatcher.service enabled
display-manager.service                    enabled
fancontrol.service                         enabled
getty@.service                             enabled
irqbalance.service                         enabled
keyboard-setup.service                     enabled
lightdm.service                            enabled
lm-sensors.service                         enabled
minissdpd.service                          enabled
ModemManager.service                       enabled
network-manager.service                    enabled
networking.service                         enabled
NetworkManager-dispatcher.service          enabled
NetworkManager-wait-online.service         enabled
NetworkManager.service                     enabled
portmap.service                            enabled
pppd-dns.service                           enabled
rpcbind.service                            enabled
rsyslog.service                            enabled
rtkit-daemon.service                       enabled
syslog.service                             enabled
systemd-timesyncd.service                  enabled
acpid.socket                               enabled
avahi-daemon.socket                        enabled
cups.socket                                enabled
rpcbind.socket                             enabled
nfs-client.target                          enabled
remote-fs.target                           enabled
anacron.timer                              enabled
apt-daily-upgrade.timer                    enabled
apt-daily.timer                            enabled
 



J'ai remarqué que le problème survient en alternance une session sur deux au démarrage. J'ai beau chercher, je ne sais absolument pas quoi faire.

Dernière modification par fowl (17-10-2017 16:00:57)

Hors ligne

#5 17-10-2017 16:59:31

Herve33
Membre
Lieu : Mérignac 33
Distrib. : Debian Mate Sid
Inscription : 21-09-2016

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

Slt
pour un changement de version, moi je passe par une sauvegarde de mon home et une install propre.
Je pense que sa résoudra tes soucis.
@+

Debian Mate Sid

Hors ligne

#6 18-10-2017 09:39:36

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

Bonjour et quand cela se produit, si tu passe en console (Ctrl+alt+F1) Vois tu des message d'erreur?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#7 19-10-2017 11:49:59

fowl
Membre
Distrib. : Stretch
Noyau : 4.9.0-4-amd64
(G)UI : MATE
Inscription : 28-02-2012

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

En fait, aucun et c'est vraiment étrange.

J'ai d'abord purgé ibus-mozc que je n'utilise pas mais que je pensais être impliqué, ainsi que les derniers fichiers de configuration des fichiers inutiles supprimés datant de jessie. Je pensais le problème réglé mais au retour du travail, ce problème illogique s'est remanifesté. Excedé, j'ai réinstallé mate-desktop. On verra ce que ça donne, mais je ne suis pas certain que cela va régler ce problème. Peut-être que le problème est lié à Lightdm?

Hors ligne

#8 20-10-2017 02:46:56

fowl
Membre
Distrib. : Stretch
Noyau : 4.9.0-4-amd64
(G)UI : MATE
Inscription : 28-02-2012

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

Ça n'a servi à rien. Ce problème persiste. Avec un Xorg.conf qui reste muet et ne signale rien, je ne comprends pas.

Hors ligne

#9 20-10-2017 11:13:45

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : Démarrage aléatoire de MATE après mise à jour vers Stretch.

Bonjour
la migration toujours en deux étapes
avec le bon sources.list


deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
 



apt-get update
 


puis


apt-get upgrade
 


puis


apt-get dist-upgrade
 


puis reboot


reboot
 


si tu a peur pour l autoremove , installe synaptic et regarde la version des paquets qui doit etre en jessie que tu peu enlever.

celui si


Les paquets suivants ont été conservés :
  chromium
 


pourquoi il n'est pas mit a jour vers stretch ?  => le paquet existe => https://packages.debian.org/fr/stretch/chromium

il faudrait voir ton sources.list et si tu a des dépots hors debian , quel carte graphique tu a et quel driver tu utilise (ne confond pas le log /var/log/Xorg.0.log et le fichier de configuration /etc/X11/xorg.conf)
supprimer tous les dépots qui pointe vers jessie

normalement a la migration le système purge pas mal de paquets , moi je ferai l autoremove (ou autoremove --purge) ou avec synaptic
tu peu faire une sauvegarde de tes données

nota : ton extrait de log du serveur X est incomplet il manque le plus intéressent

quand le système est propre voir si la migration a été complète , a commencer par la version du noyau actuel

je sais pas quel type de machine tu a , pas tout lu (portable , pc de bureau) normalement stretch + mate + lightdm est sans souci

Dernière modification par robert2a (20-10-2017 11:15:41)

Hors ligne

Pied de page des forums